Bank Account
List all bank accounts
List all bank accounts under the platform. Filtered results can be retrieved with extra parameters in the query.
Query Parameters
balance.gt
numberOptionalReturn results where the balance is greater than this value (in smallest currency unit).
balance.gte
numberOptionalReturn results where the balance is greater than or equal to this value (in smallest currency unit).
balance.lt
numberOptionalReturn results where the balance is less than this value (in smallest currency unit).
balance.lte
numberOptionalReturn results where the balance is less than or equal to this value (in smallest currency unit).
bank_account_ids
stringOptionalComma-separated list of bank account IDs to filter by.
created.gt
date-timeOptionalReturn results where the created_at field is greater than this value.
created.gte
date-timeOptionalReturn results where the created_at field is greater than or equal to this value.
created.lt
date-timeOptionalReturn results where the created_at field is less than this value.
created.lte
date-timeOptionalReturn results where the created_at field is less than or equal to this value.
description
stringOptionalFilter bank accounts by description.
ending_before
stringOptionalA cursor for use in pagination. ending_before is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with foo_ZXhhbXBsZQo, your subsequent call can include ending_before=foo_ZXhhbXBsZQo in order to fetch the previous page of the list.
entity_id
stringOptionalList all accounts that belong to the entity with the given entity_id.
is_overdraftable
booleanOptionalList all accounts that are overdraftable.
limit
numberOptionalA limit on the number of objects to be returned, between 1 and 100. The default is 10.
overdraft_reserve_account_id
stringOptionalList all bank accounts with the given overdraft_reserve_account_id.
query
stringOptionalSearch query to match against bank accounts.
sort
stringOptionalField to sort results by.
sort_order
stringOptionalSort direction. Can be asc or desc.
starting_after
stringOptionalA cursor for use in pagination. starting_after is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with foo_ZXhhbXBsZQo, your subsequent call can include starting_after=foo_ZXhhbXBsZQo in order to fetch the next page of the list.
type
stringOptionalBank account type. Can be CHECKING, OVERDRAFT_RESERVE, PROGRAM_RESERVE, or NETWORK_SETTLEMENT_ACCOUNT.